#ifndef UNITACTIONMANAGER_H
#define UNITACTIONMANAGER_H

#include <vector>
#include "UnitAction.h"

#include "MemoryManager/debugNew.h"

class UnitActionManager
{
private:
	UnitActionManager(void);
	~UnitActionManager(void);
	static UnitActionManager * instance;

	std::vector<UnitAction*> disposedActions;
public:
	static UnitActionManager& getInstance();
	static void destroy();

	void dispose(UnitAction* action);
	void freeActions();
};

#include "MemoryManager/debugNewOff.h"

#endif
